Create invoice
https://api.propexo.com/v1/invoices/Create an invoice for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- ]
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the vendor
The date of issuance for the invoice
The due date associated with the invoice
invoice_items object[]
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The amount of the invoice item, in cents
Notes associated with the invoice item
Description of the invoice
The invoice or reference number that the vendor assigned to the service request
The Propexo unique identifier for the service request
The Propexo unique identifier for the vendor location
The amount of the invoice, in cents
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The post month for the invoice. We will strip all data out of the datetime except the year and month.
Show 2 variants
The discount, in cents, of the invoice. This amount will be applied prior to the total amount being calculated.
Notes associated with the invoice
attachments object[]
Files to upload for the invoice. All the files can have a maximum combined file size of 50 MB
The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
Possible values: <= 69730304 characters
The name of the file including the extension. Ex: "image.jpg"
The mime type of the file. Ex: "image/jpeg"
The name of your integration with MRI
The URL assigned to the copy of the original invoice that was imported from a third-party system
Set this parameter to the purchase order number that contains the line items to be invoiced. MRI will validate and link the invoice to the specified purchase order for processing.
Whether to group the invoice payment on the same check with other invoices or pay the invoice separately on its own check
The Propexo unique identifier for the location
The post date for the invoice.
Show 2 variants
The Propexo unique identifier for the property
The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.
Show 2 variants
Memo of the invoice
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The expense type of the invoice. You'll have to request this data from your customer
The display type of the invoice. You'll have to request this data from your customer
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/invoices/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}